Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# self.get_option_expiration_after_date

strategies.strategy.Strategy.get_option_expiration_after_date(self, dt: date)

  Returns the next option expiration date after the given date.

  Parameters:

    dt (datetime.date) – The date to find the next option expiration date after.

  Returns:

    The next option expiration date after the given date.

  Return type:

    datetime.date

  Example

      >>> # Will return the next option expiration date after the given date
      >>> dt = datetime.date(2021, 1, 1)
      >>> next_option_expiration = self.get_next_option_expiration(dt)